/*
 This header is for replacing debug print methods.
 If you have special functions for logging, e.g., Eclipse,
 Replace these macros with your functions.
 */

#ifndef __LIBHARKIO3_MACROS__
#define __LIBHARKIO3_MACROS__
#define LIBHARKIO_LOGT(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGD(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGI(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGW(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGE(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVT(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVD(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVI(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVW(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVE(...) (vfprintf(stderr, __VA_ARGS__))
#endif
